JGraph X 1.3.0.0

## com.mxgraph.util
Class mxEventSource

    java.lang.Object
      com.mxgraph.util.mxEventSource

Direct Known Subclasses:
  mxGraph, mxGraphModel, mxGraphSelectionModel, mxGraphView, mxLayoutManager, mxSpaceManager, mxSwimlaneManager, mxUndoManager

    public class mxEventSource

extends java.lang.Object

Base class for objects that dispatch named events.

Nested Class Summary
`static interface` `mxEventSource.mxIEventListener` Defines the requirements for an object that listens to an event source.

Field Summary
`protected java.util.List<java.lang.Object>` `eventListeners` Holds the event names and associated listeners in an array.
`protected boolean` `eventsEnabled` Specifies if events can be fired.
`protected java.lang.Object` `eventSource` Holds the source object for this event source.

Constructor Summary
`mxEventSource()` Constructs a new event source using this as the source object.
`mxEventSource(java.lang.Object source)` Constructs a new event source for the given source object.

Method Summary
`void` `addListener(java.lang.String eventName, mxEventSource.mxIEventListener listener)` Binds the specified function to the given event name.
`void` `fireEvent(mxEventObject evt)` Dispatches the given event name with this object as the event source.
`void` `fireEvent(mxEventObject evt, java.lang.Object sender)` Dispatches the given event name, passing all arguments after the given name to the registered listeners for the event.
`java.lang.Object` `getEventSource()`
`boolean` `isEventsEnabled()`
`void` `removeListener(mxEventSource.mxIEventListener listener)` Function: removeListener Removes all occurances of the given listener from the list of listeners.
`void` `removeListener(mxEventSource.mxIEventListener listener, java.lang.String eventName)` Function: removeListener Removes all occurances of the given listener from the list of listeners.
`void` `setEventsEnabled(boolean eventsEnabled)`
`void` `setEventSource(java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eventListeners

    protected transient java.util.List<java.lang.Object> eventListeners

  Holds the event names and associated listeners in an array. The array contains the event name followed by the respective listener for each registered listener.

### eventSource

    protected java.lang.Object eventSource

  Holds the source object for this event source.

### eventsEnabled

    protected boolean eventsEnabled

  Specifies if events can be fired. Default is true.

Constructor Detail

### mxEventSource

    public mxEventSource()

  Constructs a new event source using this as the source object.

### mxEventSource

    public mxEventSource(java.lang.Object source)

  Constructs a new event source for the given source object.

Method Detail

### getEventSource

    public java.lang.Object getEventSource()

### setEventSource

    public void setEventSource(java.lang.Object value)

### isEventsEnabled

    public boolean isEventsEnabled()

### setEventsEnabled

    public void setEventsEnabled(boolean eventsEnabled)

### addListener

    public void addListener(java.lang.String eventName,
                            mxEventSource.mxIEventListener listener)

  Binds the specified function to the given event name. If no event name is given, then the listener is registered for all events.

### removeListener

    public void removeListener(mxEventSource.mxIEventListener listener)

  Function: removeListener Removes all occurances of the given listener from the list of listeners.

### removeListener

    public void removeListener(mxEventSource.mxIEventListener listener,
                               java.lang.String eventName)

  Function: removeListener Removes all occurances of the given listener from the list of listeners.

### fireEvent

    public void fireEvent(mxEventObject evt)

  Dispatches the given event name with this object as the event source. `fireEvent(new mxEventObject("eventName", key1, val1, .., keyN, valN))`

### fireEvent

    public void fireEvent(mxEventObject evt,
                          java.lang.Object sender)

  Dispatches the given event name, passing all arguments after the given name to the registered listeners for the event.

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.